Retrieve file
GET/api/file/by-url
Retrieve user uploaded file by passing in the url.
Request
Query Parameters
url stringrequired
Responses
- 200
- 401
- 403
- 404
- 500
File object matching url.
- application/json
- Schema
- Example (from schema)
Schema
userId string
Id of the owner
fileUrl string
URL of the file
dateUploaded string
The timestamp of upload
{
"userId": "string",
"fileUrl": "string",
"dateUploaded": "string"
}
Authorization error e.g. due to an invalid or missing API keys.
Forbidden. Possible error codes
-
ERROR_NO_PERMISSIONS_TO_RESOURCE
- application/json
- Schema
- Example (from schema)
Schema
error_code string
Error code
error_message string
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
File not found or User owning the file not found.. Possible error codes
-
ERROR_USER_NOT_FOUND
-
ERROR_FILE_NOT_FOUND
- application/json
- Schema
- Example (from schema)
Schema
error_code string
Error code
error_message string
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Internal error. Possible error codes
-
INTERNAL_SERVER_ERROR
- application/json
- Schema
- Example (from schema)
Schema
error_code string
Error code
error_message string
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Loading...